[问题]现在内核都2.6.24.11-17了,那么那些老的2.6.24.5内核可以安全卸载吗?

为当前最终发行版之前的所有版本提供支持
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

[问题]现在内核都2.6.24.11-17了,那么那些老的2.6.24.5内核可以安全卸载吗?

#1

帖子 wavydoom » 2008-03-03 15:11

或者这些老内核依然在系统中起作用?

我刚刚 sudo apt-get autoremove --purge totem-mozilla 的时候,系统自动提示

已经不需要下列自动安装的软件包:
linux-headers-2.6.24-10-generic linux-headers-2.6.24-10
下列软件包将被【卸载】:
linux-headers-2.6.24-10* linux-headers-2.6.24-10-generic* totem-mozilla*


那么老的内核可以删除吗?多谢~
头像
smtking
帖子: 228
注册时间: 2008-02-25 13:30
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 smtking » 2008-03-03 15:13

我也想知道这个问题。呵呵。
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#3

帖子 wavydoom » 2008-03-03 15:15

光看grab就有如此多的内核。。。汗

kernel 2.6.24-11-generic

kernel 2.6.24-10-generic

kernel 2.6.24-8-generic

kernel 2.6.24-5-generic

:roll:
头像
ljj_jjl2008
论坛版主
帖子: 14253
注册时间: 2007-09-16 8:29
送出感谢: 94 次
接收感谢: 231 次

#4

帖子 ljj_jjl2008 » 2008-03-03 15:22

从新立得里面删除就可以了。
头像
windwiny
帖子: 2254
注册时间: 2007-03-13 17:26
送出感谢: 0
接收感谢: 1 次

#5

帖子 windwiny » 2008-03-03 15:34

晕倒。。。只要最新的能用,留一个就行
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#6

帖子 wavydoom » 2008-03-03 15:45

怎么删?新立得里面怎么删?我的意思是,删除哪些文件?

多谢~
头像
smtking
帖子: 228
注册时间: 2008-02-25 13:30
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 smtking » 2008-03-03 15:51

对啊。怎么删啊。说清楚一点啊。
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#8

帖子 wavydoom » 2008-03-03 15:55

我的内核:
$ dpkg --get-selections|grep linux

libselinux1 install
linux-headers-2.6.24-11 install
linux-headers-2.6.24-11-generic install
linux-headers-generic install
linux-image-2.6.24-10-generic install
linux-image-2.6.24-11-generic install
linux-image-2.6.24-5-generic install
linux-image-2.6.24-8-generic install
linux-image-generic install
linux-libc-dev install
linux-restricted-modules-2.6.24-10-generic install
linux-restricted-modules-2.6.24-11-generic install
linux-restricted-modules-2.6.24-5-generic install
linux-restricted-modules-2.6.24-8-generic install
linux-restricted-modules-common install
linux-restricted-modules-generic install
linux-sound-base install
linux-ubuntu-modules-2.6.24-10-generic install
linux-ubuntu-modules-2.6.24-11-generic install
linux-ubuntu-modules-2.6.24-5-generic install
linux-ubuntu-modules-2.6.24-8-generic install
util-linux install
util-linux-locales install


不知道 linux-image-generic install 这个能不能删。。。
上次由 wavydoom 在 2008-03-03 16:02,总共编辑 1 次。
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#9

帖子 wavydoom » 2008-03-03 15:59

删除Ubuntu Linux操作系统旧内核的方法
发布时间:2007.09.03 06:39 来源:赛迪网 作者:korn

使用Ubuntu一段时间后,就会发觉由于自动升级,系统里安装了很多内核。像我,竟然安装了下面那么多,这个造成了漫长的启动列表。必须删掉一些不用的。

首先就是使用如下命令,列出所有安装的内核,下表中,带有image的就是内核文件。从中选择要卸载的包,用apt-get来卸载

[tc@ibm:~]$ dpkg --get-selections|grep linux

libselinux1 install

linux-386 install

linux-image-2.6.15-23-386 install

linux-image-2.6.15-27-386 install

linux-image-2.6.15-27-686 install

linux-image-2.6.15-28-386 install

linux-image-2.6.15-28-686 deinstall

linux-image-386 install

linux-kernel-headers install

linux-restricted-modules-2.6.15-23-386 install

linux-restricted-modules-2.6.15-27-386 install

linux-restricted-modules-2.6.15-27-686 install

linux-restricted-modules-2.6.15-28-386 install

linux-restricted-modules-2.6.15-28-686 deinstall

linux-restricted-modules-386 install

linux-restricted-modules-common install

linux-sound-base install

util-linux install

具体的卸载方法为

sudo apt-get remove linux-image-2.6.15-23-386

这样就可以实现自动删除内核文件了,还可以释放磁盘空间。

另外还要记录一个命令。

uname -a

使用这个命令可以查看当前系统使用的内核。
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#10

帖子 wavydoom » 2008-03-03 16:00

舒服,起码删掉了我400多兆的旧内核~哈哈哈~轻松了~
头像
ljj_jjl2008
论坛版主
帖子: 14253
注册时间: 2007-09-16 8:29
送出感谢: 94 次
接收感谢: 231 次

#11

帖子 ljj_jjl2008 » 2008-03-03 16:03

我是从新立得里面搜索“kernel”,然后在搜索结果里面找版本号是2.6.24-5、2.6.24-8这样的包,右键选择“标记以便彻底删除”,然后点“应用”。
注意别选错了包就可以了。
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#12

帖子 wavydoom » 2008-03-03 16:12

linux-image-2.6.24-8-generic install 《---这种有版本号的是旧版本,我已经删了,没问题
linux-image-generic install 《---这种没版本号的不敢动阿~能不能删呢?
头像
ljj_jjl2008
论坛版主
帖子: 14253
注册时间: 2007-09-16 8:29
送出感谢: 94 次
接收感谢: 231 次

#13

帖子 ljj_jjl2008 » 2008-03-03 16:19

我也不知道,我没有删除。
头像
chattan
论坛版主
帖子: 3922
注册时间: 2007-07-11 20:59
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 chattan » 2008-03-03 16:28

如果你愿意删掉当然可以删呀~~
头像
wavydoom
帖子: 1081
注册时间: 2008-02-15 0:08
送出感谢: 0
接收感谢: 0

#15

帖子 wavydoom » 2008-03-03 16:30

不会造成不能启动吧?多谢楼上前辈指点~
回复

回到 “老旧版本支持”